/***************************************************************************
 *   Copyright (C) 2005 by Robot Group Leipzig                             *
 *    martius@informatik.uni-leipzig.de                                    *
 *    fhesse@informatik.uni-leipzig.de                                     *
 *    der@informatik.uni-leipzig.de                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *                                                                         *
 *  DESCRIPTION                                                            *
 *                                                                         *
 *   $Log: storeable.cpp,v $
 *   Revision 1.1  2009/01/22 16:52:29  martius
 *   implementation for "toFile" operations
 *

 *                                                                 *
 ***************************************************************************/

#include "storeable.h"

bool Storeable::storeToFile(const char* filename) const {
  FILE* f = fopen(filename,"wb");
  if(!f) return false;
  bool rv =store(f);
  fclose(f);
  return rv;
}

bool Storeable::restoreFromFile(const char* filename) {
  FILE* f = fopen(filename,"rb");
  if(!f) return false;
  bool rv = restore(f);
  fclose(f);
  return rv;
}
